#ifndef PATH_H
#define PATH_H

#include "../point/point.h"
#include "../time_interval/time_interval.h"

/* Маршрут */
#pragma pack(push, 1)
struct PATH {
	char *name;
	struct TIME_INTERVAL time_interval;
	struct POINT *points; /* Точки задают начало и конец пути */
	int points_count;
	float mu;
};
#pragma pack(pop)

/* Операции над областями и маршрутами */
/* объединение частей, выделение частей */
int equalPath(const struct PATH *first, const struct PATH *second,
		const char flag_name, const struct POINT *delta_coord,
		const time_t delta_time);

#endif
