#include <time.h>
#include "path/path.h"
#include "pfs/pfs.h"
#include "area/area.h"

/* Для округления функций принадлежности при сравнении */
#define MUDIFF 1000 

/* ТИПЫ ДАННЫХ */

/* Персональная урбаносфера */
struct PERSONAL_URBANOSFERE {
	char *name;
	struct AREA *areas;
	int areas_count;
	struct PATH *paths;
	int paths_count;
};

/* ОПЕРАЦИИ */
/* Операции с перс.урбаносферами одного человека*/
/* объединение, пересечение, включение, равенство,
 * симметрическая разность */
char equalPU(const struct PERSONAL_URBANOSFERE *first_pu,
		const struct PERSONAL_URBANOSFERE *second_pu,
		const char flag_name, const struct POINT *delta_coord,
		const time_t delta_time);

/* Операции с перс.урбаносферами разных людей */
/* объединение, пересечение, включение, равенство,
 * симметрическая разность */



/* Операции для изучения территорий */
/* объединение частей, выделение частей, равенство частей */

/* Операции по оптимизации */
/* растяжение, концентрация, множество альфа-уровня, четкое множество ближайшее к нечеткому */
