#ifndef TIME_INTERVAL_H
#define TIME_INTERVAL_H

#include <time.h>

/* Чтобы не забыть при модификации */
#pragma pack(push, 1)
struct TIME_INTERVAL {
	time_t begin_t;
	time_t end_t;
};
#pragma pack(pop)

void fillTimeInterval(struct TIME_INTERVAL *ti, const time_t begin_t,
		const time_t end_t);

char inTimeInterval(const struct TIME_INTERVAL *first,
		const struct TIME_INTERVAL * second,
		const time_t delta_time);

char moreThatTimeInterval(const struct TIME_INTERVAL *first,
		const struct TIME_INTERVAL *second);

char addTimeInInterval(struct TIME_INTERVAL *tis,
		const struct TIME_INTERVAL *ti);

/* НЕРЕАЛИЗОВАННЫЕ */
char removeTimeInterval(struct TIME_INTERVAL tis,
		const struct TIME_INTERVAL ti);

#endif

