#include "time_interval.h"

void fillTimeInterval(struct TIME_INTERVAL *ti, const time_t begin_t,
		const time_t end_t) {
	ti->begin_t = begin_t;
	ti->end_t = end_t;
}

char inTimeInterval(const struct TIME_INTERVAL *first,
		const struct TIME_INTERVAL * second,
		const time_t delta_time) {
	if (second->begin_t > first->begin_t + delta_time)
		return 0;
	if (second->begin_t < first->begin_t - delta_time)
		return 0;
	if (second->end_t > first->end_t + delta_time)
		return 0;
	if (second->end_t < first->end_t - delta_time)
		return 0;
	return 1;
}

/* Добавить в интервал времени */
char addTimeInInterval(struct TIME_INTERVAL *tis,
		const struct TIME_INTERVAL *ti) {
	if (tis->begin_t > ti->begin_t)
		tis->begin_t = ti->begin_t;
	if (tis->end_t < ti->end_t)
		tis->end_t = ti->end_t;
	return 0;
}

/* НЕРЕАЛИЗОВАННЫЕ */
char removeTimeInterval(struct TIME_INTERVAL tis,
		const struct TIME_INTERVAL ti);

